﻿@model List<ARGNSModelPomView>
<div class="bs-example2-tabs">
    <ul id="myTab" class="nav nav-tabs" role="tablist">
        @{int mContPom = 0;
        foreach (var pomCode in Model.GroupBy(c => c.U_PomCode))
        {
            <li class="@(mContPom == 0 ? "active" : "")">
                <a href="#tab-@pomCode.Key" role="tab" data-toggle="tab">@pomCode.Key</a>
            </li>
            mContPom++;
        }
        }
    </ul>
    <div id="myTabContentGeneral" class="tab-content">
        <!--SUBTAB-->
        @{  mContPom = 0;
          foreach (var pomCode in Model.GroupBy(c => c.U_PomCode))
          {
            <div class="tab-pane fade @(mContPom == 0 ? "active in" : "")" id="tab-@pomCode.Key">
                <div id="myTabContentSubGeneral" class="tab-content">
                    <div id="TableItemsPom-@pomCode.Key">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>POM</th>
                                    <th>@PDM.Desc</th>
                                    <th>Tol+</th>
                                    <th>Tol-</th>
                                    <th>QAPoint</th>
                                    @foreach (var size in Model.Where(j => j.U_PomCode == pomCode.Key).GroupBy(c => c.U_SizeCode))
                                    {
                                        <th><strong>@size.Key</strong></th>
                                    }
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var DescrGrp in Model.Where(j => j.U_PomCode == pomCode.Key).GroupBy(c => c.U_Desc))
                                {
                                    int contadorInterno = 0;
                                    <tr>
                                        @foreach (ARGNSModelPomView item in Model.Where(j => j.U_PomCode == pomCode.Key).Where(j => j.U_Desc == DescrGrp.Key).OrderBy(c => c.LineId))
                                        {
                                            if (contadorInterno == 0)
                                            {
                                                <td style="display:none">
                                                    <input type="number" id="IsNew-@item.U_POM" class="form-control" value='@item.IsNew.ToString()' />
                                                    <input type="number" id="SclCode-@item.U_POM" class="form-control" value='@item.U_SclPom' />
                                                </td>
                                                <td>@item.U_POM</td>
                                                <td>@item.U_Desc</td>
                                                <td><input type="number" id="TotPos-@item.U_POM" class="form-control" value='@Math.Round((decimal)item.U_TolPosit, Convert.ToInt32("2"))' style="font-size: 13px; min-width: 75px;" /></td>
                                                <td><input type="number" id="TotNeg-@item.U_POM" class="form-control" value='@Math.Round((decimal)item.U_TolNeg, Convert.ToInt32("2"))' style="font-size: 13px; min-width: 75px;" /></td>
                                                <td>
                                                    <input type="checkbox" id="QAPoint-@item.U_POM" name="active" @(item.U_QAPoint == "Y" ? "checked" : "")>
                                                </td>
                                            }
                                            <td><input type="number" id="@item.U_POM-@item.LineId" class="form-control" name="valueInfo" value='@Math.Round((decimal)item.U_Value, Convert.ToInt32("2"))' style="font-size: 13px; min-width: 75px;" /></td>
                                            contadorInterno++;
                                        }

                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <!--///////// Close BLOKE/////////-->
                <div class="clearfix"></div>
            </div>
                                mContPom++;
          }
        }
    </div>
</div>
